%define rpmrelease 0
Summary:    Simple Network Paging Protocol plugin for Gaim
Name:       gaim-snpp
Version:    0.8.0
Release:    %{gaimver}%{?gaimdist:.%{gaimdist}}.%{rpmrelease}
License:    GPL
Group:      Applications/Internet
Url:        http://gaim-snpp.sourceforge.net/
Source:     %{name}-%{version}.tar.gz
BuildRoot:  %{_tmppath}/%{name}-%{version}-root

Requires:   gaim = 1:%{gaimver}
BuildRequires: pkgconfig, libtool, gaim-devel

%description
gaim-snpp is a protocol plug-in for Gaim that allows sending messages to pager
servers (like sendpage, beepage, or qpage) via the Simple Network Paging
Protocol ("SNPP" - RFC 1861), basically turning Gaim into an SNPP client. So
far SNPP Level 1 only.

To rebuild for a specific Gaim version or dist tag:
rpmbuild --rebuild gaim-snpp-0.8.0-%{rpmrelease}.src.rpm --define 'gaimver %{gaimver}' --define 'gaimdist fc1'

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix}

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{_prefix} bindir=$RPM_BUILD_ROOT%{_bindir} \
     datadir=$RPM_BUILD_ROOT%{_datadir} includedir=$RPM_BUILD_ROOT%{_includedir} \
     libdir=$RPM_BUILD_ROOT%{_libdir} mandir=$RPM_BUILD_ROOT%{_mandir} \
     sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} \
     install

strip $RPM_BUILD_ROOT%{_libdir}/gaim/*.so || :
rm -f $RPM_BUILD_ROOT%{_libdir}/gaim/libsnpp.la $RPM_BUILD_ROOT%{_libdir}/gaim/libsnpp.a

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%doc README ChangeLog
%{_libdir}/gaim/libsnpp.so
%{_datadir}/pixmaps/gaim/status/default/*

%changelog
* Mon Jul 19 2004 Stu Tomlinson <stu@nosnilmot.com>
- Initial spec file
